Rivet::ClusteredLepton Class Reference
Inheritance diagram for Rivet::ClusteredLepton:

## Public Member Functions

| ClusteredLepton (Particle lepton)
void | addPhoton (const Particle &p, bool cluster)
const Particle & | constituentLepton () const
const ParticleVector & | constituentPhotons () const
Public Member Functions inherited from Rivet::Particle
| Particle ()
| Particle (PdgId pid, const FourMomentum &mom)
| Constructor without GenParticle.
| Particle (const GenParticle &gp)
| Constructor from a HepMC GenParticle.
const GenParticle & | genParticle () const
| Get a const reference to the original GenParticle.
bool | hasGenParticle () const
| Check if the particle corresponds to a GenParticle.
PdgId | pdgId () const
| The PDG ID code for this Particle.
Particle & | setMomentum (const FourMomentum &momentum)
| Set the momentum of this Particle.
const FourMomentum & | momentum () const
| The momentum of this Particle.
double | energy () const
| The energy of this Particle.
double | mass () const
| The mass of this Particle.
bool | hasAncestor (PdgId pdg_id) const
bool | fromDecay () const
| Determine whether the particle is from a hadron or tau decay. More...

The documentation for this class was generated from the following file:

- include/Rivet/Projections/LeptonClusters.hh